all:
  children:
    # 测试主机组
    test_hosts:
      hosts:
        192.168.99.53:
          ansible_user: root
          ansible_password: "Txpt_4gis_test"
          ansible_python_interpreter: /usr/libexec/platform-python
          system_type: "anolis8"
          zabbix_agent_package: "zabbix-agent"
          zabbix_agent_service: "zabbix-agent"
          zabbix_agent_config: "/etc/zabbix/zabbix_agentd.conf"
        192.168.99.228:
          ansible_user: is3
          ansible_password: "Suit@4is3"
          ansible_become: yes
          ansible_become_password: "Suit@4is3"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu18"
          zabbix_agent_package: "zabbix-agent"
          zabbix_agent_service: "zabbix-agent"
          zabbix_agent_config: "/etc/zabbix/zabbix_agentd.conf"

    centos7:
      hosts:
        192.168.99.111:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.112:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.113:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.122:
          ansible_user: root
          ansible_password: "Suit@4kds"
          system_type: "centos7"
        192.168.99.123:
          ansible_user: root
          ansible_password: "Suitbim@23"
          system_type: "centos7"
        192.168.99.124:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.128:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.132:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.133:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.134:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.144:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.222:
          ansible_user: root
          ansible_password: "Suit-2024"
          system_type: "centos7"
        192.168.99.224:
          ansible_user: root
          ansible_password: "CsmmN@cos"
          system_type: "centos7"
        192.168.99.231:
          ansible_user: root
          ansible_password: "Cjxx%4yxzx"
          system_type: "centos7"
        192.168.99.232:
          ansible_user: root
          ansible_password: "test4Bimrun"
          system_type: "centos7"
        192.168.99.236:
          ansible_user: root
          ansible_password: "Cjxx_2024"
          system_type: "centos7"
        192.168.99.237:
          ansible_user: root
          ansible_password: "root"
          system_type: "centos7"
        192.168.99.239:
          ansible_user: root
          ansible_password: "yjy1234"
          system_type: "centos7"
        192.168.99.244:
          ansible_user: root
          ansible_password: "root"
          system_type: "centos7"
        192.168.99.252:
          ansible_user: root
          ansible_password: "Cnfr00t"
          system_type: "centos7"
        192.168.99.253:
          ansible_user: root
          ansible_password: "C1xX@JIr0"
          system_type: "centos7"

    centos8:
      hosts:
        192.168.99.251:
          ansible_user: root
          ansible_password: "cjxx@Pvaf"
          system_type: "centos8"
        192.168.99.66:
          ansible_user: root
          ansible_password: "root"
          system_type: "centos8"
        192.168.99.67:
          ansible_user: root
          ansible_password: "root"
          system_type: "centos8"

    anolis8:
      hosts:
        192.168.99.117:
          ansible_user: root
          ansible_password: "root"
          system_type: "anolis7"
        192.168.99.114:
          ansible_user: root
          ansible_password: "Cjxx_%2025"
          system_type: "anolis8"
        192.168.99.120:
          ansible_user: root
          ansible_password: "Cjxx_g0vu"
          system_type: "anolis8"
        192.168.99.121:
          ansible_user: root
          ansible_password: "Suit_2024"
          system_type: "anolis8"
        192.168.99.136:
          ansible_user: root
          ansible_password: "Csmm@2024"
          system_type: "anolis8"
        192.168.99.137:
          ansible_user: root
          ansible_password: "Csmm@2024"
          system_type: "anolis8"
        192.168.99.207:
          ansible_user: root
          ansible_password: "CPPFz4Pn"
          system_type: "anolis8"
        192.168.99.229:
          ansible_user: root
          ansible_password: "Csmm@efk"
          system_type: "anolis8"
        192.168.99.37:
          ansible_user: root
          ansible_password: "root"
          system_type: "anolis8"
        192.168.99.51:
          ansible_user: root
          ansible_password: "Txpt_4app_test"
          system_type: "anolis8"
        192.168.99.53:
          ansible_user: root
          ansible_password: "Txpt_4gis_test"
          system_type: "anolis8"
        192.168.99.54:
          ansible_user: root
          ansible_password: "root"
          system_type: "anolis8"
        192.168.99.55:
          ansible_user: root
          ansible_password: "Clw_ai_2025_test"
          system_type: "anolis8"
        192.168.99.56:
          ansible_user: root
          ansible_password: "Txpt_4app"
          system_type: "anolis8"
        192.168.99.58:
          ansible_user: root
          ansible_password: "Dplc_4prod"
          system_type: "anolis8"
        192.168.99.63:
          ansible_user: root
          ansible_password: "HJ@nsjkE6d"
          system_type: "anolis8"
        192.168.99.64:
          ansible_user: root
          ansible_password: "HJ@3cjZczp"
          system_type: "anolis8"
        192.168.99.65:
          ansible_user: root
          ansible_password: "HJ@rc4xhvV"
          system_type: "anolis8"
        192.168.99.74:
          ansible_user: root
          ansible_password: "CjSuit@ty"
          system_type: "anolis8"
        192.168.99.75:
          ansible_user: root
          ansible_password: "CjSuit@jira"
          system_type: "anolis8"
        192.168.99.79:
          ansible_user: root
          ansible_password: "hW5su@7yrz"
          system_type: "anolis8"

    ubuntu18:
      hosts:
        192.168.99.226:
          ansible_user: is3
          ansible_password: "Suit@4is3"
          ansible_become: yes
          ansible_become_password: "Suit@4is3"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu18"
        192.168.99.227:
          ansible_user: is3
          ansible_password: "Suit@4is3"
          ansible_become: yes
          ansible_become_password: "Suit@4is3"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu18"
        192.168.99.228:
          ansible_user: is3
          ansible_password: "Suit@4is3"
          ansible_become: yes
          ansible_become_password: "Suit@4is3"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu18"

    ubuntu22:
      hosts:
        192.168.99.71:
          ansible_user: ubuntu_server
          ansible_password: "Cjxx@2025"
          ansible_become: yes
          ansible_become_password: "Cjxx@2025"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu22"
        192.168.99.72:
          ansible_user: ubuntu_server
          ansible_password: "Cjxx@2025"
          ansible_become: yes
          ansible_become_password: "Cjxx@2025"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu22"
        192.168.99.73:
          ansible_user: ubuntu_server
          ansible_password: "Cjxx@2025"
          ansible_become: yes
          ansible_become_password: "Cjxx@2025"
          ansible_python_interpreter: /usr/bin/python3
          system_type: "ubuntu22"

  vars:
    # SSH 连接设置
    ansible_ssh_common_args: '-o StrictHostKeyChecking=no'
    
    # Zabbix 服务器配置
    zabbix_server: "192.168.99.146"
    zabbix_server_ip: "192.168.99.146"
    zabbix_server_active: "192.168.99.146"
    
    # 使用稳定的 zabbix-agent (v1) 而不是 zabbix-agent2 (v2)
    zabbix_agent_package: "zabbix-agent"
    zabbix_agent_service: "zabbix-agent"
    zabbix_agent_config: "/etc/zabbix/zabbix_agentd.conf"
    
    # Zabbix Agent 配置参数
    zabbix_agent_port: 10050
    zabbix_agent_timeout: 30
    zabbix_agent_start_agents: 3
    zabbix_agent_debug_level: 3
